Can't install custom built gnupg package due to conflicts with Red Hat shipped gnupg package.

Solution Unverified - Updated -

Issue

  • Have built gnupg package manually and trying to install on Red Hat Enterprise Linux 6 machine.
  • While installing, following errors appear.
# rpm -ivh /root/rpmbuild/RPMS/x86_64/gnupg-1.4.16-1.x86_64.rpm
Preparing...                ########################################### [100%]
        file /usr/bin/gpg from install of gnupg-1.4.16-1.x86_64 conflicts with file from package gnupg2-2.0.14-4.el6.x86_64
        file /usr/bin/gpg-zip from install of gnupg-1.4.16-1.x86_64 conflicts with file from package gnupg2-2.0.14-4.el6.x86_64
        file /usr/bin/gpgsplit from install of gnupg-1.4.16-1.x86_64 conflicts with file from package gnupg2-2.0.14-4.el6.x86_64
        file /usr/bin/gpgv from install of gnupg-1.4.16-1.x86_64 conflicts with file from package gnupg2-2.0.14-4.el6.x86_64
        file /usr/share/man/man1/gpg-zip.1.gz from install of gnupg-1.4.16-1.x86_64 conflicts with file from package gnupg2-2.0.14-4.el6.x86_64
        file /usr/share/man/man1/gpg.1.gz from install of gnupg-1.4.16-1.x86_64 conflicts with file from package gnupg2-2.0.14-4.el6.x86_64
        file /usr/share/man/man1/gpgv.1.gz from install of gnupg-1.4.16-1.x86_64 conflicts with file from package gnupg2-2.0.14-4.el6.x86_64

Environment

  • Red Hat Enterprise Linux 6
  • gnupg2

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase of over 48,000 articles and solutions.

Current Customers and Partners

Log in for full access

Log In